/* $Id: interface.h,v 1.2 1999/03/25 23:11:53 taylorj Exp $
 * GGI3d interface layer
 * (c) 1999 Jon Taylor [taylorj@ggi-project.org]
 */

#ifndef _GGI3D_INTERFACE_H
#define _GGI3D_INTERFACE_H

/* The interface should be marshaled into a generic set of fields.
 * For now though we will keep it simple and just specify each
 * interface globally with a constant.
 */
typedef struct
{
	int type_in, type_out;
} ggi3d_interface;

/* Generic interface function type */
typedef int (*ggi3dfunc_interface)(ggi3d_modp self, void *data_in, void *data_out);

#endif
